将应用程序安装到设备Xcode 11.6时无法运行应用程序错误

马纳夫103

嗨,我正在尝试使用Xcode 11.6运行我的应用程序,但是我一直无法安装应用程序错误。

为何无法安装的日志


Unable to install "Scan Box"
Domain: com.apple.dt.MobileDeviceErrorDomain
Code: -402620375
--
The code signature version is no longer supported.
Domain: com.apple.dt.MobileDeviceErrorDomain
Code: -402620375
User Info: {
    DVTRadarComponentKey = 261622;
    MobileDeviceErrorCode = "(0xE8008029)";
    "com.apple.dtdevicekit.stacktrace" = (
    0   DTDeviceKitBase                     0x000000012a41a81a DTDKCreateNSErrorFromAMDErrorCode + 233
    1   DTDeviceKitBase                     0x000000012a45bf70 __90-[DTDKMobileDeviceToken installApplicationBundleAtPath:withOptions:andError:withCallback:]_block_invoke + 155
    2   DVTFoundation                       0x000000010faadf35 DVTInvokeWithStrongOwnership + 73
    3   DTDeviceKitBase                     0x000000012a45bca8 -[DTDKMobileDeviceToken installApplicationBundleAtPath:withOptions:andError:withCallback:] + 1654
    4   IDEiOSSupportCore                   0x000000012a2d2e91 __118-[DVTiOSDevice(DVTiPhoneApplicationInstallation) processAppInstallSet:appUninstallSet:installOptions:completionBlock:]_block_invoke.352 + 4165
    5   DVTFoundation                       0x000000010fbe15d4 __DVT_CALLING_CLIENT_BLOCK__ + 7
    6   DVTFoundation                       0x000000010fbe3216 __DVTDispatchAsync_block_invoke + 1194
    7   libdispatch.dylib                   0x00007fff70fc991d _dispatch_call_block_and_release + 12
    8   libdispatch.dylib                   0x00007fff70fcab07 _dispatch_client_callout + 8
    9   libdispatch.dylib                   0x00007fff70fd093e _dispatch_lane_serial_drain + 606
    10  libdispatch.dylib                   0x00007fff70fd140b _dispatch_lane_invoke + 375
    11  libdispatch.dylib                   0x00007fff70fdaf8c _dispatch_workloop_worker_thread + 819
    12  libsystem_pthread.dylib             0x00007fff7125a4f2 _pthread_wqthread + 314
    13  libsystem_pthread.dylib             0x00007fff712594c3 start_wqthread + 15
);
}
--


System Information

macOS Version 10.16 (Build 20A5323l)
Xcode 11.6 (16141)

我尝试过的步骤:。清除构建文件夹

取消配对并维修设备

。卸载并重新安装Xcode

。删除并打开项目文件

尝试将工作区设置更改为旧版

。使用devcleaner清除派生数据

。为设备安装了新的配置文件

。重启两个设备

.set构建库以分发为YES

.create,下载用于iOS开发部署的新配置文件

.ensure框架设置为嵌入和签名

我有一个付费帐户

.tried也更改了包ID

使用的设备:iPhone SE(第一代)(iOS 14),iPhone 8(iOS 13.6),iPad Pro(第四代)(iPad OS 14)这些设备为最新版本,因此该软件未受到任何形式的触摸。过去一周。直到昨天开始遇到这些问题时,我一直在使用这些设备。

Pratyush Nigam

请尝试删除嵌入的静态框架或使其动态化,以解决此问题。我有一个类似的问题,这对我有用。

本文收集自互联网,转载请注明来源。

如有侵权,请联系[email protected] 删除。

编辑于
0

我来说两句

0条评论
登录后参与评论

相关文章

来自分类Dev

Xcode 5-将应用程序无线安装到设备选项?

来自分类Dev

iPad应用程序在安装到设备时被卡住

来自分类Dev

如何将应用程序直接从Web安装到设备

来自分类Dev

打开语音时应用程序崩溃(分段错误:11)

来自分类Dev

应用程序在某些设备上崩溃,并且应用程序异常退出并发出信号11:分段错误:11

来自分类Dev

将应用程序安装到设备后自动启动服务

来自分类Dev

在设备中安装时无法安装应用程序错误

来自分类Dev

错误:无法在设备上启动应用程序:错误:无法将apk安装到设备上:未安装在Android api级别23上

来自分类Dev

有什么方法可以通过Xcode 8 beta将应用程序安装到iPhone 4?

来自分类Dev

IcedTea-8无法运行任何jnlp应用程序(可能是由于openjdk-11?)

来自分类Dev

与JDK运行JavaFX应用程序11+

来自分类Dev

升级到iOS 13.1和Xcode 11后,Flutter无法在iPhone上安装应用程序

来自分类Dev

XCode11错误“在应用程序扩展中,open(_:options:completionHandler :)不可用”

来自分类Dev

即使安装了“ Xcode版本11.2.1(11B500)”,Xcode仍会导致使用UITextView的应用程序崩溃

来自分类Dev

Mac应用程序的Xcode 11 Firebase身份验证出现错误访问钥匙串时发生错误

来自分类Dev

在macOS上运行Docker X11应用程序

来自分类Dev

使用设备门户网站API将应用程序安装到Hololens的PS脚本错误

来自分类Dev

IcedTea-8无法运行任何jnlp应用程序(可能是由于openjdk-11?)

来自分类Dev

基于iOS Storyboard的应用程序在设备上崩溃,并错误退出,并发出信号11:分段错误:11

来自分类Dev

如何手动将应用程序安装到“应用程序”列表中

来自分类Dev

调试/运行iOS8 App Today Extension时,Xcode将多个包含应用程序安装到设备上

来自分类Dev

将应用程序安装到设备时自动启动服务

来自分类Dev

GWT应用程序无法在IE11中运行

来自分类Dev

sftp收到断开连接11:应用程序错误

来自分类Dev

尝试在iPhone上运行我的应用程序进行调试时,我在XCode中收到“无法安装应用程序”错误

来自分类Dev

在设备中安装时无法安装应用程序错误

来自分类Dev

无法在带有 ios 11 的设备中下载应用程序

来自分类Dev

将应用程序安装到另一台设备

来自分类Dev

添加jar库后,Android Studio卡住了将应用程序安装到设备

Related 相关文章

  1. 1

    Xcode 5-将应用程序无线安装到设备选项?

  2. 2

    iPad应用程序在安装到设备时被卡住

  3. 3

    如何将应用程序直接从Web安装到设备

  4. 4

    打开语音时应用程序崩溃(分段错误:11)

  5. 5

    应用程序在某些设备上崩溃,并且应用程序异常退出并发出信号11:分段错误:11

  6. 6

    将应用程序安装到设备后自动启动服务

  7. 7

    在设备中安装时无法安装应用程序错误

  8. 8

    错误:无法在设备上启动应用程序:错误:无法将apk安装到设备上:未安装在Android api级别23上

  9. 9

    有什么方法可以通过Xcode 8 beta将应用程序安装到iPhone 4?

  10. 10

    IcedTea-8无法运行任何jnlp应用程序(可能是由于openjdk-11?)

  11. 11

    与JDK运行JavaFX应用程序11+

  12. 12

    升级到iOS 13.1和Xcode 11后,Flutter无法在iPhone上安装应用程序

  13. 13

    XCode11错误“在应用程序扩展中,open(_:options:completionHandler :)不可用”

  14. 14

    即使安装了“ Xcode版本11.2.1(11B500)”,Xcode仍会导致使用UITextView的应用程序崩溃

  15. 15

    Mac应用程序的Xcode 11 Firebase身份验证出现错误访问钥匙串时发生错误

  16. 16

    在macOS上运行Docker X11应用程序

  17. 17

    使用设备门户网站API将应用程序安装到Hololens的PS脚本错误

  18. 18

    IcedTea-8无法运行任何jnlp应用程序(可能是由于openjdk-11?)

  19. 19

    基于iOS Storyboard的应用程序在设备上崩溃,并错误退出,并发出信号11:分段错误:11

  20. 20

    如何手动将应用程序安装到“应用程序”列表中

  21. 21

    调试/运行iOS8 App Today Extension时,Xcode将多个包含应用程序安装到设备上

  22. 22

    将应用程序安装到设备时自动启动服务

  23. 23

    GWT应用程序无法在IE11中运行

  24. 24

    sftp收到断开连接11:应用程序错误

  25. 25

    尝试在iPhone上运行我的应用程序进行调试时,我在XCode中收到“无法安装应用程序”错误

  26. 26

    在设备中安装时无法安装应用程序错误

  27. 27

    无法在带有 ios 11 的设备中下载应用程序

  28. 28

    将应用程序安装到另一台设备

  29. 29

    添加jar库后,Android Studio卡住了将应用程序安装到设备

热门标签

归档